<h1>Lessons</h1>

<div class="row">
  <% @lessons.each do |lesson| %>
    <div class="col-md-4 mb-3">
      <div class="card">
        <% if lesson.thumbnail.present? %>
          <%= image_tag lesson.thumbnail, class: "card-img-top", style: "height: 200px; object-fit: cover; object-position: top;" %>
        <% end %>
        <div class="card-body">
          <h5 class="card-title"><%= lesson.title %></h5>
          <p class="card-text">
            <% truncated_description = lesson.description.split[0...20].join(' ') + '...' %>
            <%= truncated_description.html_safe %>
          </p>
          <%= link_to 'Learn More', lesson, class: "btn btn-primary" %>
        </div>
      </div>
    </div>
  <% end %>
</div>

<% if current_user&.teacher? %>
  <%= link_to 'Create New', new_lesson_path, class: "btn btn-success" %>
<% end %>
